{"title":"Create defaultDimensions for entities","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a default dimension of the item object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create defaultDimensions for entities","slug":"create-defaultdimensions-for-entities","at":0,"chars":2438},{"level":2,"title":"HTTP request","slug":"http-request","at":105,"chars":543},{"level":2,"title":"Request headers","slug":"request-headers","at":648,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":750,"chars":95},{"level":2,"title":"Response","slug":"response","at":845,"chars":132},{"level":2,"title":"Example","slug":"example","at":977,"chars":1228},{"level":2,"title":"Related information","slug":"related-information","at":2205,"chars":233}],"text":"# Create defaultDimensions for entities\nCreates the default dimensions for entities in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/defaultDimensions({id})\nPOST businesscentralPrefix/companies({id})/items({id})/defaultDimensions({id})\nPOST businesscentralPrefix/companies({id})/customers({id})/defaultDimensions({id})\nPOST businesscentralPrefix/companies({id})/vendors({id})/defaultDimensions({id})\nPOST businesscentralPrefix/companies({id})/employees({id})/defaultDimensions({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of defaultDimensions object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a defaultDimensions object in the response body.\n## Example\nRequest\nHere's an example of a request.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/items({itemId})/defaultDimensions\nPOST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/vendors({vendorId})/defaultDimensions\nPOST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/employees({employeeId})/defaultDimensions\nPOST https://{businesscentralPrefix}/api/v2.0/companies({companyId})/customers({customerId})/defaultDimensions\n\n```\nRequest body\n```json\n{\n    \"parentId\":\"b3fbe87a-61b8-4a6c-85de-0555f1627a67\",\n    \"dimensionId\":\"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a\",\n    \"dimensionValueId\":\"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n    \"postingValidation\":\"Same Code\"\n}\n```\nResponse\n```json\n{\n    \"id\": \"5b049aad-bde4-ea11-bbf2-00155df3a615\",\n    \"parentId\": \"b3fbe87a-61b8-4a6c-85de-0555f1627a67\",\n    \"dimensionId\": \"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a\",\n    \"dimensionCode\": \"DEPARTMENT\",\n    \"dimensionValueId\": \"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n    \"dimensionValueCode\": \"SALES\",\n    \"postingValidation\": \"Same Code\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_defaultdimension\ndynamics_defaultdimension_get\ndynamics_defaultdimension_delete\ndynamics_defaultdimension_update"}